package p05_switch;

import javax.swing.*;

// klasyczny sposób grupowanie case'ów - napisz kilka casów jeden za drugim i dla nich wszystkich zrób jedną wspólną obsługą
public class IleDniMaMiesiac1 {
    public static void main(String[] args) {
        String miesiac = JOptionPane.showInputDialog("Podaj nazwę miesiąca");
        // Wypisz ile dni ma ten miesiąc (28 / 29 / 30 / 31)
        switch (miesiac) {
            case "styczeń":
            case "marzec":
            case "maj":
            case "lipiec":
            case "sierpień":
            case "październik":
            case "grudzień":
                JOptionPane.showMessageDialog(null, miesiac + " ma 31 dni");
                break;
            case "kwiecień":
            case "czerwiec":
            case "wrzesień":
            case "listopad":
                JOptionPane.showMessageDialog(null, miesiac + " ma 30 dni");
                break;
            case "luty":
                int rok = Integer.parseInt(JOptionPane.showInputDialog("O który rok chodzi?"));
                if (rok % 4 == 0 && rok % 100 != 0 || rok % 400 == 0) {
                    JOptionPane.showMessageDialog(null, miesiac + " ma 29 dni");
                } else {
                    JOptionPane.showMessageDialog(null, miesiac + " ma 28 dni");
                }
                break;
            default:
                JOptionPane.showMessageDialog(null, "Nie znam takiego miesiąca: " + miesiac, "Błąd", JOptionPane.ERROR_MESSAGE);
        }
    }
}
